shaderInstance_s Struct Reference

Describes an instance of either a vertex or geometry shader. More...

`#include <shaderProgram.h>`

## Data Fields

DVLE_s * | dvle
| Shader DVLE.
u16 | boolUniforms
| Boolean uniforms.
u16 | boolUniformMask
| Used boolean uniform mask.
u32 | intUniforms [4]
| Integer uniforms.
float24Uniform_s * | float24Uniforms
| 24-bit float uniforms.
u8 | intUniformMask
| Used integer uniform mask.
u8 | numFloat24Uniforms
| Float uniform count.

## Detailed Description

Describes an instance of either a vertex or geometry shader.

The documentation for this struct was generated from the following file:

- include/3ds/gpu/shaderProgram.h